/*
 * Constructors.java 1.0 
 *
 * Example for OOP
 *
 */
package dk.itu.oop.lecture2;
public class Constructors{}

class A {
	public String field1;
	A(String f){field1 = f;}
	A(){this("Hello");}
}

class B extends A {
	public int field2;
	B(String f, int i){
		super(f);
		field2=i;
	}
}

class C extends A{}

/* Erroneous class
 * A default constructor D(){super();}
 * is created, but B do not have a constructor 
 * without arguments
class D extends B{}
*/

/* Erroneous class
 * The class B does not inherit the constructor
 * that only takes a String as parameter.
class E extends B{
	E(){super("Hello");}
}
*/
